Bug 696029 (CVE-2011-1581) - CVE-2011-1581 kernel: bonding: Incorrect TX queue offset
Summary: CVE-2011-1581 kernel: bonding: Incorrect TX queue offset
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1581
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 695548 696030
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-13 05:46 UTC by Eugene Teo (Security Response)
Modified: 2019-09-29 12:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:42:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Eugene Teo (Security Response) 2011-04-13 05:46:23 UTC
Backport of upstream commit:
fd0e435b0fe85622f167b84432552885a4856ac8 bonding: Incorrect TX queue offset

By default bonding only allocates 16 queues.  This patch will prevent devices that have more than 16 receive queues (82599 has 128) from blowing out the tx queue index for the bonding device.

For proper queue allocation, in the bonding driver and down to the devices, they should probably add the following line to one of the files in /etc/modprobe.d/

options bonding tx_queues=N

where N>= number of processors that show up in /proc/cpuinfo.

Comment 3 Eugene Teo (Security Response) 2011-04-13 05:59:14 UTC
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise Linux 4, 5, and Red Hat Enterprise MRG as they did not backport the upstream commit bb1d9123 that introduced this issue. A future kernel update in Red Hat Enterprise Linux 6 may address this flaw.

Comment 5 errata-xmlrpc 2011-05-19 11:58:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0542 https://rhn.redhat.com/errata/RHSA-2011-0542.html

Comment 6 errata-xmlrpc 2011-05-23 20:54:26 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0542 https://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.